/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 
 * 类的信息：
 *		1.程序名称：收发存汇总
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		姜永辉		 2024-1-23			1.00		    选品
 *******************************************************************************/
const mixins = require('@/mixins/index.js')
const Constants = require('@/utils/Constants.js');
const config = require('@/config/config.js')
const app = getApp()
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    // 路由
    routeObjName: 'report',
    // 查询条件
    searchContent: [
      { code: 'accDate', title: mixins.$t("currentMonth"), defaultValue: 3, searchType: Constants.searchType.date },
      { code: 'warehouse', title: mixins.$t('reservoirArea'), dropType: 'warehouse' },
      {
        code: 'choose',
        title: mixins.$t("choose"),
        searchType: Constants.searchType.pick
      }
    ],
    // 查询条件-筛选
    pullMenuList: [{
      code: 'openingNumberZero',
      dataType: 'checkbox'
    },
    {
      code: 'currentNumberZero',
      dataType: 'checkbox'
    },
    {
      code: 'currentOutNumberZero',
      dataType: 'checkbox'
    },
    {
      code: 'endingIvtNumberZero',
      dataType: 'checkbox'
    }
    ],
    // 列表区（内容）
    contentList: [
      { label: '期初数量', code: 'openingIvtQty', image: 'order-bg', },
      { label: '入库数量', code: 'currentIntoQty', image: 'inbound-bg', },
      { label: '出库数量', code: 'currentOutQty', image: 'order-bg', },
      { label: '期末数量', code: 'endingIvtQty', image: 'inbound-bg', },
    ],
    accDateStart: null,
    accDateEnd: null,
  },

  /**
  * @desc : 设置查询参数
  * @date : 2024年3月8日
  * @author : 姜永辉
  */
  setSearchParams(params) {
    //收付款类型-收款的查询参数   
    this.setData({
      accDateStart: params.accDateStart,
      accDateEnd: params.accDateEnd,
    })
    params.querys = JSON.stringify({
      accDateStart: params.accDateStart,
      accDateEnd: params.accDateEnd,
      whList: params.warehouseIds,
      searchText: params.searchText,
    })
    return params;
  },

  /**
   * @desc : 查询
   * @date : 2024/2/1 15:49
   * @author : 姜永辉
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.getIvtSumReport, params);
  },

  /**
   * @desc : 处理接口返回数据
   * @date : 2024/2/1 15:49
   * @author : 姜永辉
   */
  handleSearchData(tableData) {
    //处理图片
    if (tableData && tableData.length > 0) {
      tableData.forEach(element => {
        if (element.skuImages && element.skuImages.length > 0) {
          element.skuImages.forEach(item => {
            item.url = config.image_url + item.path
          });
          element.imagesUrl = element.skuImages[0].url
        }
      })
      this.setData({
        tableData: tableData,
      })
    }
  },

  /**
     * @desc : 跳转明细
     * @author : 周兴
     * @date : 2024/1/22
     */
  toDetail(e) {
    if (e) {
      let item = e.detail.item;
      if (e.detail.item) {
        let button = {
          formMode: Constants.formMode.index
        }
        e.detail.item.button = button
        e.detail.item.accDateStart = this.data.accDateStart
        e.detail.item.accDateEnd = this.data.accDateEnd
      }
      e.detail.name = 'editIvtSum'
    }
    this.open(e);
  },

})